# speedtest_http

Visualize data generated by
[speedtest-cli](https://github.com/sivel/speedtest-cli) in a web app
powered by [Plotly](https://plot.ly/python/)


[![Latest Version](https://img.shields.io/pypi/v/speedtest-http.svg)](https://pypi.python.org/pypi/speedtest-http/)
[![Travis](https://travis-ci.com/shuntingyard/speedtest_http.svg?branch=master)](https://travis-ci.com/shuntingyard/speedtest_http)
[![License](https://img.shields.io/pypi/l/speedtest-http.svg)](http://github.com/shuntingyard/speedtest_http/blob/master/LICENSE.txt)
[![Docker Image](https://img.shields.io/docker/cloud/build/shuntingyard/speedtest_http.svg)](https://cloud.docker.com/repository/docker/shuntingyard/speedtest_http/builds)
[![Versions](https://img.shields.io/pypi/pyversions/speedtest-http.svg)](https://pypi.python.org/pypi/speedtest-http/)

## Screenshot

![Android Lineplot](https://raw.githubusercontent.com/shuntingyard/speedtest_http/master/static/LineplotTodayAndroid.png)

## Install and run

### First and foremost

Start collecting data. Ready-to-use solutions for doing so are available
[here](https://hub.docker.com/r/shuntingyard/speedtest_sampler) and
[here](https://pypi.org/project/speedtest_logger/).

### dockerhub

Get up and running instantly, with a speedtest.csv file in your home dir and
logs written to stdout.

```
   # Please adapt details (container timezone, sitename) to your needs.

   docker run -ti -p 80:5000 -v ~:/root -e FLASK_DEBUG=1 -e "TZ=EST" \
      -e "INFILE=/root/speedtest.csv" -e "SITENAME=my provider" \
      shuntingyard/speedtest_http
```

## README.rst

Please continue reading [here](https://github.com/shuntingyard/speedtest_http/blob/master/README.rst#description) for more details.
